using System;

internal sealed class Delegate813 : MulticastDelegate
{
	public extern Type Invoke(Type type_0);

	public static Type smethod_0(Type type_0, Delegate813 delegate813_1)
	{
		return delegate813_1(type_0);
	}

	public extern Delegate813(object object_0, IntPtr intptr_0);

	static Delegate813()
	{
		Class10.smethod_13(typeof(Delegate813).TypeHandle);
	}

	internal static Delegate813 delegate813_0;
}
